package com.dev.swms.server.model.shipping;

import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.NewLotInfo;
import com.dev.energy.server.model.DomainModel;

public class TempWaveDocDetail extends DomainModel {
	private static final long serialVersionUID = -5871782216903932516L;
	private Item item;
	private NewLotInfo newLotInfo;
	private Double quantity = 0D;
	
	public TempWaveDocDetail(Item item, NewLotInfo newLotInfo) {
		super();
		this.item = item;
		this.newLotInfo = newLotInfo;
	}
	
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public NewLotInfo getNewLotInfo() {
		return newLotInfo;
	}
	public void setNewLotInfo(NewLotInfo newLotInfo) {
		this.newLotInfo = newLotInfo;
	}
	public Double getQuantity() {
		return quantity;
	}
	public void setQuantity(Double quantity) {
		this.quantity = quantity;
	}

	public void addQuantity(double qty) {
		this.quantity += qty;
	}

}
